# schema_salad.tests.matcher

## Classes

`JsonDiffMatcher` | Raise AssertionError with a readable JSON diff when not __eq__().

## Functions

`StripYAMLComments`(yml) |

## Module Contents

class schema_salad.tests.matcher.JsonDiffMatcher(expected)

  Raise AssertionError with a readable JSON diff when not __eq__().

  Used with assert_called_with() so it’s possible for a human to see the differences between expected and actual call arguments that include non-trivial data structures.

  Parameters:

    expected (Any)

  expected
  __eq__(actual)
    Parameters:

      actual (Any)

    Return type:

      bool

schema_salad.tests.matcher.StripYAMLComments(yml)
  Parameters:

    yml (str)

  Return type:

    Any